Commit d6b0e0ab authored by Julian Taylor's avatar Julian Taylor

run nose with zmq.tests

avoids autopkgtest issues if optional dependencies are missing
parent ada5046c
pyzmq (13.1.0-1ubuntu1) UNRELEASED; urgency=low
* bump cython build depend version to required >= 0.16 (Closes: #721711)
* run nose with zmq.tests to avoid autopkgtest issues if optional
dependencies are missing
-- Julian Taylor <jtaylor.debian@googlemail.com> Sun, 08 Sep 2013 15:24:25 +0200
......
......@@ -7,7 +7,7 @@ cd "$ADTTMP"
for py in $pys; do
echo "=== $py ==="
$py /usr/bin/nosetests -v zmq 2>&1
$py /usr/bin/nosetests -v zmq.tests 2>&1
echo "=== $py-dbg ==="
$py-dbg /usr/bin/nosetests -v zmq 2>&1
$py-dbg /usr/bin/nosetests -v zmq.tests 2>&1
done
......@@ -6,7 +6,6 @@ pys="$(py3versions -r 2>/dev/null)"
cd "$ADTTMP"
for py in $pys; do
# zmq.tests because gevent is missing in py3
echo "=== $py ==="
$py /usr/bin/nosetests3 -v zmq.tests 2>&1
echo "=== $py-dbg ==="
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment